Account Holder Name Inquiry (With Amount) API
Validates account consistency while also verifying the transaction amount.
API Information
POST/v1/api/auth/acnt/ownercheckWithAmount
Content-Type
application/json; charset=UTF-8테스트
https://tbnpay.settlebank.co.kr/v1/api/auth/acnt/ownercheckWithAmount운영
https://npay.settlebank.co.kr/v1/api/auth/acnt/ownercheckWithAmountRequest Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message type code. Fixed value.
Message type code. Fixed value.
*Fixed value
└mchtIdAN(8)Alphanumeric, up to 8 bytes*Merchant ID.
Merchant ID.
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytesMerchant order number (no Korean characters).
Merchant order number (no Korean characters).
└mchtCustIdAN(100)Alphanumeric, up to 100 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Customer ID. AES-256 encrypted.Customer ID. AES-256 encrypted.
└reqDtAN(8)Alphanumeric, up to 8 bytes*Request date (yyyyMMdd).
Request date (yyyyMMdd).
└reqTmAN(6)Alphanumeric, up to 6 bytes*Request time (HH24MISS).
Request time (HH24MISS).
└bankCdAN(3)Alphanumeric, up to 3 bytes*Bank code.
Bank code.
└custAcntNoAN(15)Alphanumeric, up to 15 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Account number (no hyphens). AES-256 encrypted.Account number (no hyphens). AES-256 encrypted.
└trdAmtN(13)Numeric, up to 13 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Transaction amount. AES-256 encrypted.Transaction amount. AES-256 encrypted.
└mchtCustNmAN(30)Alphanumeric, up to 30 bytes
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Account holder name (Korean: 3 bytes per character). AES-256 encrypted.Account holder name (Korean: 3 bytes per character). AES-256 encrypted.
└acctNoChkYnAN(1)Alphanumeric, up to 1 bytesWhether to check for non-registrable accounts.
Whether to check for non-registrable accounts.
Y N└custIpAN(15)Alphanumeric, up to 15 bytesCustomer IP address.
Customer IP address.
└pktHashAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 HMAC signature.(실시간 생성)SHA-256 HMAC signature.
NOTE
Signature Composition
mchtId + mchtCustId + reqDt + reqTm + custAcntNo + trdAmt (plaintext) + hashKey
Response Parameters
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code.
0021Transaction status code.
0021: Success 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Decline code.
0000Decline code.
└outRsltMsgAN(300)Alphanumeric, up to 300 bytes*Result message.
Processed successfully.Result message.
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytesMerchant order number.
OID201902210001Merchant order number.
└trdNoAN(40)Alphanumeric, up to 40 bytes*Transaction reference number.
STFP_FIRM12345678901234567890Transaction reference number.
└mchtCustNmAN(30)Alphanumeric, up to 30 bytes
AES-256AES-256/ECB/PKCS5PaddingAccount holder name as returned by the bank (Korean: 3 bytes per character). AES-256 encrypted.김헥토Account holder name as returned by the bank (Korean: 3 bytes per character). AES-256 encrypted.
*실제 응답값은 AES-256 암호화된 값입니다. 복호화 후 사용하세요.
Need technical support?
Code Samples
HectoFinancial GitHub